Package com.sun.mail.smtp

## Interface SaslAuthenticator

All Known Implementing Classes:
  `SMTPSaslAuthenticator`

    public interface SaslAuthenticator

Interface to make it easier to call SMTPSaslAuthenticator.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `authenticate​(java.lang.String[] mechs, java.lang.String realm, java.lang.String authzid, java.lang.String u, java.lang.String p)`

### Method Detail

#### authenticate

    boolean authenticate​(java.lang.String[] mechs,
                         java.lang.String realm,
                         java.lang.String authzid,
                         java.lang.String u,
                         java.lang.String p)
                  throws MessagingException

Throws:
  `MessagingException`